From: Sebastian Andrzej Siewior <sebastian@breakpoint.cc>
Date: Wed, 3 Jul 2024 22:23:21 +0200
Subject: [PATCH] sock_any: Use socklen_t for `namelen' in struct
 sockaddr_any.

The `namelen' argument is passed to various functions which expect
`socklen_t' as type. This triggered already a warning in recent builds
but with gcc-14 it has been upgraded to an error.

The struct is only used internaly and it is safe to change it.
Change sockaddr_any::namelen to `socklen_t'.

BTS: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1074883
Signed-off-by: Sebastian Andrzej Siewior <sebastian@breakpoint.cc>
---
 common/sock_any.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/common/sock_any.h b/common/sock_any.h
index 77c3841cd1fc..ce88d30e5e4f 100644
--- a/common/sock_any.h
+++ b/common/sock_any.h
@@ -57,7 +57,7 @@ struct sockaddr_any
     struct sockaddr_in6 in6;
 #endif
   } s;
-  size_t namelen;
+  socklen_t namelen;
 };
 
 #define SANY_ADDR(any)  ((any).s.a)
-- 
2.45.2

